
var x = 6;
var y = 14;
var z = 4;


document.write(x += y - x++ * z, "<br>"); /*Результат -4. Рішення: спочатку множення 6*4 (24), потім складення 6+14 (20), потім мінус (20-24) */

var x = 6;
var y = 14;
var z = 4;

document.write(z = --x - y * 5, "<br>"); /*Результат: z присвоено -65. Рішення: спочатку множення 14*5 (70), потім віднімання 5 (х на один менше -70)*/

var x = 6;
var y = 14;
var z = 4;

document.write(y /= x + 5 % z, "<br>"); /* Результат 2. Рішення: тут 14 ділиться на операцію (x + 5 % z), яка дорівнює 7 (6+1), бо знак /= читається справа наліво */

var x = 6;
var y = 14;
var z = 4;

document.write(z - x++ + y * 5, "<br>"); /* Результат 68. Рішення: спочатку множення 14*5 (70), потім 4-6 (-2), далі -2+70=68 */

var x = 6;
var y = 14;
var z = 4;

document.write(x = y - x++ *z); /*Рішення: х присвоено -10. Рішення: спочатку множення 6*4 (24), потім віднімання 14-24*/

